Bug 1300473 - Incorrect options listed for host related actions while adding a schedule [NEEDINFO]
Incorrect options listed for host related actions while adding a schedule
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.7.0
Assigned To: Aparna Karve
Nandini Chandra
ui:schedule
: TestOnly, ZStream
Depends On:
Blocks: 1355790 1355786
  Show dependency treegraph
 
Reported: 2016-01-20 18:50 EST by Nandini Chandra
Modified: 2017-01-11 15:00 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.7.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1355786 1355790 (view as bug list)
Environment:
Last Closed: 2017-01-11 15:00:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dclarizi: needinfo? (jhardy)


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2016-01-20 18:50:39 EST
Description of problem:
----------------------



Version-Release number of selected component (if applicable):
--------------------
5.5.2.1


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Navigate to Configure->Configuration.
2.Add a schedule for any of the following actions: Host Analysis,
Host Compliance Check.
3.Select 'All hosts for cloud/infra lists cloud provider' filter.

Actual results:
---------------
The 'All hosts for cloud/infra lists cloud provider'filter drop down lists cloud providers for host related actions.


Expected results:
----------------
Hosts are not relevant to cloud providers.So,when an action involving hosts is to be scheduled, the 'All hosts for cloud/infra provider' shouldn't list cloud providers.


Additional info:
-----------------
Comment 1 Nandini Chandra 2016-01-20 18:52:04 EST
Similarly, cloud providers are listed for actions related to Cluster(Cluster/Deployment Role Analysis)
and Datastores(Datastore Analysis).
Comment 4 Shveta 2016-01-27 14:43:19 EST
Assigning to add test case
Comment 6 CFME Bot 2016-07-11 16:07:01 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c827369590864a05fa903267523c6c4c5610d429

commit c827369590864a05fa903267523c6c4c5610d429
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Jul 6 13:37:44 2016 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Jul 6 14:02:28 2016 -0700

    Fetch only those ems'es that have hosts for certain action_types
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1300473

 app/controllers/ops_controller/settings/schedules.rb | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)
Comment 9 Nandini Chandra 2016-10-04 17:01:20 EDT
Verified in 5.7.0.3

Note You need to log in before you can comment on or make changes to this bug.